import { SvelteComponentTyped } from "svelte";
declare const __propDef: {
    props: {
        id?: string | undefined;
        fov?: number | undefined;
        near?: number | undefined;
        far?: number | undefined;
        zoom?: number | undefined;
        viewOffset?: {
            fullWidth: number;
            fullHeight: number;
            x: number;
            y: number;
            width: number;
            height: number;
        } | undefined;
        position?: number[] | undefined;
        target?: number[] | undefined;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
};
export type PerspectiveCameraProps = typeof __propDef.props;
export type PerspectiveCameraEvents = typeof __propDef.events;
export type PerspectiveCameraSlots = typeof __propDef.slots;
export default class PerspectiveCamera extends SvelteComponentTyped<PerspectiveCameraProps, PerspectiveCameraEvents, PerspectiveCameraSlots> {
}
export {};
