import { SvelteComponentTyped } from "svelte";
declare const __propDef: {
    props: {
        isInterative?: boolean | undefined;
        frameloop?: "always" | "demand" | "never" | undefined;
        init?: ((container: HTMLElement) => void) | undefined;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
};
export type CanvasProps = typeof __propDef.props;
export type CanvasEvents = typeof __propDef.events;
export type CanvasSlots = typeof __propDef.slots;
export default class Canvas extends SvelteComponentTyped<CanvasProps, CanvasEvents, CanvasSlots> {
    get init(): (container: HTMLElement) => void;
}
export {};
