import { SvelteComponentTyped } from "svelte";
import * as THREE from 'three';
declare const __propDef: {
    props: {
        id?: string | undefined;
        autoRotate?: boolean | undefined;
        autoRotateSpeed?: number | undefined;
        dampingFactor?: number | undefined;
        enableDamping?: boolean | undefined;
        enabled?: boolean | undefined;
        enablePan?: boolean | undefined;
        enableRotate?: boolean | undefined;
        enableZoom?: boolean | undefined;
        keyPanSpeed?: number | undefined;
        keys?: {
            LEFT: string;
            UP: string;
            RIGHT: string;
            BOTTOM: string;
        } | undefined;
        maxAzimuthAngle?: number | undefined;
        maxDistance?: number | undefined;
        maxPolarAngle?: number | undefined;
        maxZoom?: number | undefined;
        minAzimuthAngle?: number | undefined;
        minDistance?: number | undefined;
        minPolarAngle?: number | undefined;
        minZoom?: number | undefined;
        mouseButtons?: {
            LEFT: THREE.MOUSE;
            MIDDLE: THREE.MOUSE;
            RIGHT: THREE.MOUSE;
        } | undefined;
        panSpeed?: number | undefined;
        rotateSpeed?: number | undefined;
        screenSpacePanning?: boolean | undefined;
        touches?: {
            ONE: THREE.TOUCH;
            TWO: THREE.TOUCH;
        } | undefined;
        zoomSpeed?: number | undefined;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type OrbitControlsProps = typeof __propDef.props;
export type OrbitControlsEvents = typeof __propDef.events;
export type OrbitControlsSlots = typeof __propDef.slots;
export default class OrbitControls extends SvelteComponentTyped<OrbitControlsProps, OrbitControlsEvents, OrbitControlsSlots> {
}
export {};
