import { SvelteComponentTyped } from "svelte";
import * as THREE from 'three';
declare const __propDef: {
    props: {
        id?: string | undefined;
        color?: string | number | THREE.Color | undefined;
        intensity?: number | undefined;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type AmbientLightProps = typeof __propDef.props;
export type AmbientLightEvents = typeof __propDef.events;
export type AmbientLightSlots = typeof __propDef.slots;
export default class AmbientLight extends SvelteComponentTyped<AmbientLightProps, AmbientLightEvents, AmbientLightSlots> {
}
export {};
