import { SvelteComponentTyped } from "svelte";
import * as THREE from 'three';
declare const __propDef: {
    props: {
        id?: string | undefined;
        skyColor?: string | number | THREE.Color | undefined;
        groundColor?: string | number | THREE.Color | undefined;
        intensity?: number | undefined;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type HemisphereLightProps = typeof __propDef.props;
export type HemisphereLightEvents = typeof __propDef.events;
export type HemisphereLightSlots = typeof __propDef.slots;
export default class HemisphereLight extends SvelteComponentTyped<HemisphereLightProps, HemisphereLightEvents, HemisphereLightSlots> {
}
export {};
