import { SvelteComponentTyped } from "svelte";
import * as THREE from 'three';
declare const __propDef: {
    props: {
        id?: string | undefined;
        color?: string | number | THREE.Color | undefined;
        intensity?: number | undefined;
        distance?: number | undefined;
        decay?: number | undefined;
        position?: number[] | undefined;
        shadow?: boolean | THREE.PointLightShadow | undefined;
        shadowMapWidth?: number | undefined;
        shadowMapHeight?: number | undefined;
        shadowCameraNear?: number | undefined;
        shadowCameraFar?: number | undefined;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type PointLightProps = typeof __propDef.props;
export type PointLightEvents = typeof __propDef.events;
export type PointLightSlots = typeof __propDef.slots;
export default class PointLight extends SvelteComponentTyped<PointLightProps, PointLightEvents, PointLightSlots> {
}
export {};
