import { SvelteComponentTyped } from "svelte";
import * as THREE from 'three';
declare const __propDef: {
    props: {
        id?: string | undefined;
        color?: string | number | THREE.Color | undefined;
        intensity?: number | undefined;
        distance?: number | undefined;
        angle?: number | undefined;
        penumbra?: number | undefined;
        decay?: number | undefined;
        position?: number[] | undefined;
        target?: number[] | undefined;
        shadow?: boolean | THREE.SpotLightShadow | undefined;
        shadowMapSizeWidth?: number | undefined;
        shadowMapSizeHeight?: number | undefined;
        shadowCameraNear?: number | undefined;
        shadowCameraFar?: number | undefined;
        shadowCameraFov?: number | undefined;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type SpotLightProps = typeof __propDef.props;
export type SpotLightEvents = typeof __propDef.events;
export type SpotLightSlots = typeof __propDef.slots;
export default class SpotLight extends SvelteComponentTyped<SpotLightProps, SpotLightEvents, SpotLightSlots> {
}
export {};
