import { SvelteComponentTyped } from "svelte";
export declare const ssr = false;
import type * as THREE from 'three';
import * as defaults from '../../utils/defaults.js';
declare const __propDef: {
    props: {
        id?: string | undefined;
        object: THREE.Object3D | THREE.Group;
        isInterative?: boolean | undefined;
        position?: [number, number, number] | undefined;
        rotation?: [number, number, number, (defaults.EulerOrder | undefined)?] | undefined;
        scale?: number | [number, number, number] | undefined;
        group?: THREE.Group | null | undefined;
    };
    events: {
        mouseover: CustomEvent<any>;
        mouseout: CustomEvent<any>;
        mousedown: CustomEvent<any>;
        mouseup: CustomEvent<any>;
        click: CustomEvent<any>;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
};
export type PrimitiveProps = typeof __propDef.props;
export type PrimitiveEvents = typeof __propDef.events;
export type PrimitiveSlots = typeof __propDef.slots;
export default class Primitive extends SvelteComponentTyped<PrimitiveProps, PrimitiveEvents, PrimitiveSlots> {
}
export {};
