import { SvelteComponentTyped } from "svelte";
import * as THREE from "three";
declare const __propDef: {
    props: {
        id?: string | undefined;
        background?: boolean | "only" | undefined;
        path?: string | undefined;
        files?: string | string[] | undefined;
        preset?: "sunset" | "dawn" | "night" | "warehouse" | "forest" | "apartment" | "studio" | "city" | "park" | "lobby" | null | undefined;
        envMap?: THREE.Texture | null | undefined;
        ground?: boolean | {
            radius?: number | undefined;
            height?: number | undefined;
            scale?: number | undefined;
        } | undefined;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {
            envMap: THREE.Texture | null;
        };
    };
};
export type EnvironmentProps = typeof __propDef.props;
export type EnvironmentEvents = typeof __propDef.events;
export type EnvironmentSlots = typeof __propDef.slots;
export default class Environment extends SvelteComponentTyped<EnvironmentProps, EnvironmentEvents, EnvironmentSlots> {
}
export {};
