export declare class ControlCamera {
    Callback: (camera: THREE.Camera, canvas: HTMLElement) => void;
    constructor(Callback: (camera: THREE.Camera, canvas: HTMLElement) => void);
    set(camera: THREE.Camera, canvas: HTMLElement): void;
}
export declare class Camera {
    target: THREE.PerspectiveCamera;
    constructor(target: THREE.PerspectiveCamera);
    resize(W: number, H: number): void;
}
export declare class Renderer {
    target: THREE.PerspectiveCamera;
    constructor(target: THREE.PerspectiveCamera);
    resize(W: number, H: number): void;
}
export declare class Object3d {
    target: THREE.Mesh | THREE.Object3D | THREE.Group;
    isInterative: boolean;
    name: string;
    key: string;
    intersected: boolean;
    wasIntersected: boolean;
    distance: number;
    callback?: () => void;
    constructor(target: THREE.Mesh | THREE.Object3D | THREE.Group);
}
