import { createEventDispatcher } from 'svelte';
export class ControlCamera {
    Callback;
    constructor(Callback) {
        this.Callback = Callback;
    }
    set(camera, canvas) {
        if (camera && canvas) {
            this.Callback(camera, canvas);
        }
    }
}
export class Camera {
    target;
    constructor(target) {
        this.target = target;
    }
    resize(W, H) {
        this.target.aspect = W / H;
        this.target.updateProjectionMatrix();
    }
}
//não usando.
export class Renderer {
    target;
    constructor(target) {
        this.target = target;
    }
    resize(W, H) {
        this.target.aspect = W / H;
    }
}
export class Object3d {
    target;
    isInterative = false;
    name;
    key;
    intersected;
    wasIntersected = false;
    distance;
    callback;
    constructor(target) {
        this.target = target;
        this.name = target.name;
        this.intersected = false;
        this.distance = 0;
        this.key = '';
    }
}
