import * as THREE from 'three';
export declare function useAnimations<T extends THREE.AnimationClip>(clips: T[], model: THREE.Object3D): {
    mixer: THREE.AnimationMixer;
    names: string[];
    actions: {
        [x: string]: THREE.AnimationAction | null;
    };
    clips: T[];
};
