import { onMount } from 'svelte';
export function onFrame(callback) {
    onMount(() => {
        let frame;
        requestAnimationFrame(function loop() {
            frame = requestAnimationFrame(loop);
            callback();
        });
        return () => {
            cancelAnimationFrame(frame);
        };
    });
}
