import { SvelteComponentTyped } from "svelte";
import * as THREE from 'three';
declare const __propDef: {
    props: {
        id?: string | undefined;
        color?: string | number | THREE.Color | undefined;
        intensity?: number | undefined;
        position?: number[] | undefined;
        target?: number[] | undefined;
        shadow?: boolean | THREE.DirectionalLightShadow | undefined;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type DirectionalLightProps = typeof __propDef.props;
export type DirectionalLightEvents = typeof __propDef.events;
export type DirectionalLightSlots = typeof __propDef.slots;
export default class DirectionalLight extends SvelteComponentTyped<DirectionalLightProps, DirectionalLightEvents, DirectionalLightSlots> {
}
export {};
