import { SvelteComponentTyped } from "svelte";
import * as THREE from 'three';
import * as defaults from '../../utils/defaults.js';
declare const __propDef: {
    props: {
        id?: string | undefined;
        position?: [number, number, number] | undefined;
        rotation?: [number, number, number, (defaults.EulerOrder | undefined)?] | undefined;
        scale?: number | [number, number, number] | undefined;
        renderOrder?: number | undefined;
        group?: THREE.Group | undefined;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {
            group: any;
        };
    };
};
export type GroupProps = typeof __propDef.props;
export type GroupEvents = typeof __propDef.events;
export type GroupSlots = typeof __propDef.slots;
export default class Group extends SvelteComponentTyped<GroupProps, GroupEvents, GroupSlots> {
}
export {};
