export type ScrollControlsProps = {
    eps?: number;
    horizontal?: boolean;
    infinite?: boolean;
    pages?: number;
    distance?: number;
    damping?: number;
    enabled?: boolean;
};
export type ScrollControlsState = {
    el?: HTMLElement;
    eps?: number;
    fill?: HTMLDivElement;
    fixed?: HTMLDivElement;
    horizontal?: boolean;
    damping?: number;
    offset?: number;
    delta?: number;
    pages?: number;
    range: (from: number, distance: number, margin?: number) => number;
    curve: (from: number, distance: number, margin?: number) => number;
    visible: (from: number, distance: number, margin?: number) => boolean;
};
export declare class ScrollControls {
    el?: HTMLElement;
    eps: number;
    fill?: HTMLDivElement;
    fixed?: HTMLDivElement;
    horizontal: boolean;
    damping: number;
    offset: number;
    delta: number;
    pages: number;
    constructor(horizontal: boolean, damping: number, pages: number, eps: number);
    range: (from: number, distance: number, margin?: number) => number;
    curve: (from: number, distance: number, margin?: number) => number;
    visible: (from: number, distance: number, margin?: number) => boolean;
}
