import * as THREE from 'three';
import { Object3d } from '../core/objects';
import type { GLTF } from 'three/examples/jsm/loaders/GLTFLoader.js';
export declare function Gltf(urlModel: string): Promise<Object3d>;
export declare function useGltf(urlModel: string): Promise<{
    gltf: GLTF;
    animations: THREE.AnimationClip[];
}>;
