import * as THREE from 'three';
export type EulerOrder = 'XYZ' | 'XZY' | 'YXZ' | 'YZX' | 'ZXY' | 'ZYX';
export declare let position: [number, number, number];
export declare let rotation: [number, number, number, EulerOrder?];
export declare let scale: number | [number, number, number];
export declare let geometry: THREE.BufferGeometry;
export declare let material: THREE.MeshNormalMaterial;
